package com.ruoyi.zdsz.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.zdsz.domain.bo.ZEngineeringNodeBo;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;
import java.util.List;

/**
 * 碰口作业视图对象 z_touch_operation_engineering
 *
 * @author ruoyi
 * @date 2024-06-12
 */
@Data
@ExcelIgnoreUnannotated
public class ZTouchOperationEngineeringVo extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     *
     */
//    @ExcelProperty(value = "")
    private Long id;

    /**
     * 行政区
     */
    private String district;

    @ExcelProperty(value = "序号")
    private int rowNumber;

    /**
     * 工程名称
     */
    @ExcelProperty(value = "工程名称")
    private String enginName;

    /**
     * 地点
     */
    @ExcelProperty(value = "工程地点")
    private String locations;

    /**
     * 作业方式
     */
//    @ExcelProperty(value = "作业方式", converter = ExcelDictConvert.class)
    @ExcelProperty(value = "作业方式")
//    @ExcelDictFormat(dictType = "tapping_operation")
    private String modeOperation;

    //    @ExcelProperty(value = "派发时间")
//    private String createTimeStr; // 创建时间 派发时间
//    @ExcelProperty(value = "进场时间")
//    private String startTimeStr; // 开工时间 进场时间
//    private Date startTime;
//    @ExcelProperty(value = "竣工时间")
//    private String beCompletedTimeStr; // 竣工时间
//    private Date beCompletedTime; // 竣工时间
//    @ExcelProperty(value = "通气时间")
//    private String airTimeStr; // 通气时间
//    //    private Date airTime; // 通气时间
    @ExcelProperty(value = "完工百分比")
    private String donePercent; // 完工百分比

    /**
     * 备注
     */
//    @ExcelProperty(value = "备注")
    private String remark;

    private List<ZEngineeringNodeBo> zEngineeringNodeBoList;
    private ZEngineeringNodeBo zEngineeringNodeBo;
    private Object nodeReViewStateList;

    public ZEngineeringNodeBo getzEngineeringNodeBo() {
        return zEngineeringNodeBo;
    }

    public void setzEngineeringNodeBo(ZEngineeringNodeBo zEngineeringNodeBo) {
        this.zEngineeringNodeBo = zEngineeringNodeBo;
    }

    public Object getNodeReViewStateList() {
        return nodeReViewStateList;
    }

    public void setNodeReViewStateList(Object nodeReViewStateList) {
        this.nodeReViewStateList = nodeReViewStateList;
    }

    public List<ZEngineeringNodeBo> getzEngineeringNodeBoList() {
        return zEngineeringNodeBoList;
    }

    public void setzEngineeringNodeBoList(List<ZEngineeringNodeBo> zEngineeringNodeBoList) {
        this.zEngineeringNodeBoList = zEngineeringNodeBoList;
    }
}
